Skip to Content
kosemdocs
ReferenceAPIConstraints

List constraints

Lists what policies may restrict, ordered by ID.

GET
/v1/constraints

Lists what policies may restrict, ordered by ID.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Query Parameters

pageSize?integer

Maximum number to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
constraints*array<>

Constraints, ordered by ID.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/constraints'
Example Response
{
  "constraints": [
    {
      "category": "guardrail",
      "defaultMax": 0,
      "description": "string",
      "displayName": "string",
      "entitlement": "string",
      "maxValue": 0,
      "minValue": 0,
      "name": "string",
      "organizationOnly": true,
      "type": "boolean",
      "unit": "string",
      "values": [
        {
          "displayName": "string",
          "value": "string"
        }
      ]
    }
  ],
  "nextPageToken": "string"
}